Subject: [mpls] A question about draft-ietf-mpls-sfl-framework

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 25 Dec 2018 11:45:31 +0000

Dear authors of draft-ietf-mpls-sfl-framework<https://tools.ietf.org/html/draft-ietf-mpls-sfl-framework-04>,
I have a question about use of Synonymous Flow Labels in the when application labels are present.
The relevant text in Section 4.1 of the draft says:

   At the egress LSR the LSP label is popped (if present).  Then the SFL
   is processed in exactly the same way as the corresponding application
   label would have been processed.

If the application label has been statically configured in the egress LSR,  then, presumably, so would be each of the Synonymous labels.
However, if the application label has been dynamically allocated by the egress LSR and advertised to ingress LSR using some control plane mechanisms, then the synonymous labels would also have to be dynamically allocated and advertised by the same control plane mechanisms.

The draft in question is a framework draft and does not discuss any control plane issues (at least I have not found any mention of such issues in the text).
I wonder if any work on control plane mechanisms for advertisement of synonymous labels is going on or planned. ( A quick search in the documents of the MPLS, BESS and PALS WGs did not find any relevant documents).

If the intended applicability of the SFL framework is just for statically configured application labels, this should be explicitly stated in the draft IMHO.

Your timely feedback would be highly appreciated.

Regards, and lots of thanks in advance,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is 
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this 
transmission in error, please inform us by e-mail, phone or fax, and then delete the original 
and all copies thereof.
___________________________________________________________________________